# Class CodecLineParsingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.tribble.exception.CodecLineParsingException

All Implemented Interfaces:
  `Serializable`

public class CodecLineParsingException extends RuntimeException
Class CodecLineParsingException a generic exception we use if the codec has trouble parsing the line its given

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CodecLineParsingException()`
`CodecLineParsingException(String message)`
`CodecLineParsingException(String message, Throwable cause)`
`CodecLineParsingException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CodecLineParsingException

public CodecLineParsingException(Throwable cause)

### CodecLineParsingException

public CodecLineParsingException(String message, Throwable cause)

### CodecLineParsingException

public CodecLineParsingException(String message)

### CodecLineParsingException

public CodecLineParsingException()